// creator  : weidu.exe (version 23100)
// argument : KALAH2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KALAH2~

IF ~~ THEN BEGIN 0 // from:
  SAY #2272 /* ~Ah, my beast, you have led them here nicely...~ [KALAH02] */
  IF ~~ THEN EXTERN ~AERIEJ~ 1
END

IF ~~ THEN BEGIN 1 // from:
  SAY #2275 /* ~You're not what? You're not my beast? Oh, but you are, all of you are, don't you see?~ [KALAH08] */
  IF ~~ THEN EXTERN ~AERIEJ~ 2
END

IF ~~ THEN BEGIN 2 // from:
  SAY #2287 /* ~Yes, it's a regular three-ring circus, isn't it, my beasts... Now go ahead and tear each other apart!~ [KALAH09] */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #18761 /* ~Well done, my friend! Truly, I doubted that you would survive to meet me. Welcome to my domain.  I regret that my hospitality will result in your deaths. At them, my shadows! If they be fools my other beasts shall strike them down. If not, the task shall fall to you, my shades. The circus now truly begins!~ [KALAH03] */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~True()
~ THEN BEGIN 4 // from:
  SAY #18762 /* ~NO!  (cough)  This isn't what was supposed to happen!  This isn't what was promised to me!~ [KALAH11] */
  IF ~~ THEN DO ~

~ GOTO 13
END

IF ~~ THEN BEGIN 5 // from: 13.0
  SAY #18796 /* ~(cough)  You... you've killed me... destroyed Kalah with your misplaced morals and beastly greed for adventure...~ [KALAH13] */
  IF ~~ THEN REPLY #18804 /* ~What has passed here, gnome? You replaced the circus with your personal playground?~ */ GOTO 11
  IF ~~ THEN REPLY #18806 /* ~You deserve to die, gnome. How many have suffered so that you might keep your illusions of grandeur?~ */ GOTO 10
  IF ~~ THEN REPLY #18809 /* ~You are done talking, gnome. You'll be dead in moments.~ */ GOTO 8
  IF ~~ THEN REPLY #25011 /* ~What happened to the tower? It was all an illusion? None of it was real?~ */ GOTO 12
END

IF ~~ THEN BEGIN 6 // from: 12.0 11.0
  SAY #18810 /* ~In Amn... a mage is a criminal and a gnome is a spectacle.  In this tent... in my world... Kalah was the master, where none would dare to laugh...~ */
  IF ~~ THEN REPLY #18815 /* ~What of the circus employees, Kalah? What have you done with all those that have disappeared into this tent?~ */ GOTO 7
  IF ~~ THEN REPLY #18818 /* ~You are done talking, gnome. You'll be dead in moments.~ */ GOTO 8
  IF ~~ THEN REPLY #18821 /* ~And it has left you with nothing. You built your future on nothing.~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 10.0 6.0
  SAY #18865 /* ~Indifference killed those fools from the circus.  I treat them in death as they were to me in life.  A gnome gets no respect... I just wanted people to look up... to me.  All that I have done...~ */
  IF ~Dead("Aerie")
!Dead("Quaylem")
~ THEN DO ~StartCutSceneMode()
EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Quayle",Wait(3))
ActionOverride("Quayle",StartDialogueNoSet([PC]))
Kill(Myself)~ EXIT
  IF ~Dead("Aerie")
Dead("Quaylem")
~ THEN DO ~EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
Kill(Myself)
~ EXIT
  IF ~!Dead("Aerie")
!InParty("Aerie")~ THEN DO ~StartCutSceneMode()
EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Aerie",Wait(3))
ActionOverride("Aerie",StartDialogueNoSet([PC]))
Kill(Myself)~ SOLVED_JOURNAL #47528 /* ~Investigate the circus tent.

The gnome illusionist who converted the circus into his own personal domain has been killed, and the tent has reverted back to normal.~ */ EXIT
  IF ~IsValidForPartyDialog("Aerie")~ THEN SOLVED_JOURNAL #47528 /* ~Investigate the circus tent.

The gnome illusionist who converted the circus into his own personal domain has been killed, and the tent has reverted back to normal.~ */ EXTERN ~AERIEJ~ 36
  IF ~!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Jaheira")~ THEN SOLVED_JOURNAL #47528 /* ~Investigate the circus tent.

The gnome illusionist who converted the circus into his own personal domain has been killed, and the tent has reverted back to normal.~ */ EXTERN ~JAHEIRAJ~ 315
END

IF ~~ THEN BEGIN 8 // from: 6.1 5.2
  SAY #18867 /* ~You don't understand, do you?  You take my life, but worse, you take my dignity.  I just wanted... I wanted to be the king instead of... instead of...~ */
  IF ~Dead("Aerie")
!Dead("Quaylem")
~ THEN DO ~StartCutSceneMode()
EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Quayle",Wait(3))
ActionOverride("Quayle",StartDialogueNoSet([PC]))
Kill(Myself)~ EXIT
  IF ~Dead("Aerie")
Dead("Quaylem")
~ THEN DO ~EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
Kill(Myself)
~ EXIT
  IF ~!Dead("Aerie")
!InParty("Aerie")~ THEN DO ~StartCutSceneMode()
EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Aerie",Wait(3))
ActionOverride("Aerie",StartDialogueNoSet([PC]))
Kill(Myself)~ EXIT
  IF ~IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 36
  IF ~!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Jaheira")~ THEN DO ~SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Aerie",Wait(3))
ActionOverride("Aerie",StartDialogueNoSet())
Kill(Myself)~ EXTERN ~JAHEIRAJ~ 315
END

IF ~~ THEN BEGIN 9 // from: 6.2
  SAY #18868 /* ~You don't know... denied respect my entire life.  A clown, a fool... it does not matter... I die as I... as I...~ */
  IF ~Dead("Aerie")
!Dead("Quaylem")
~ THEN DO ~StartCutSceneMode()
EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Quayle",Wait(3))
ActionOverride("Quayle",StartDialogueNoSet([PC]))
Kill(Myself)~ EXIT
  IF ~Dead("Aerie")
Dead("Quaylem")
~ THEN DO ~EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
Kill(Myself)
~ EXIT
  IF ~!Dead("Aerie")
!InParty("Aerie")
~ THEN DO ~StartCutSceneMode()
EraseJournalEntry(34110)
EraseJournalEntry(34111)
SetGlobalTimer("CircusEnded","GLOBAL",ONE_DAY)
AddexperienceParty(25000)
ActionOverride("Aerie",Wait(3))
ActionOverride("Aerie",StartDialogueNoSet([PC]))
Kill(Myself)~ EXIT
  IF ~IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 36
  IF ~!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEIRAJ~ 315
END

IF ~~ THEN BEGIN 10 // from: 5.1
  SAY #18876 /* ~I am Kalah the grand... but an illusionist in Amn is a criminal, and a gnome is a spectacle... I was a clown... I was promised a world where Kalah was master, where none would dare...~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 11 // from: 5.0
  SAY #25000 /* ~You fool!  You... you truly know nothing... I am Kalah, an illusionist.  I was made a clown-mage for the pleasure of the tall folk... but I bided my time... and I was... promised a world I could rule...~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 12 // from: 5.3
  SAY #25015 /* ~Your grasp of the obvious rubs salt in my wounds... my world, my triumph... all gone...~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 13 // from: 4.0
  SAY #37772 /* ~I have... planned this for... too long only to have my plans shattered by some inbred, northern adventurers!  I... I just wanted to be respected...~ [KALAH12] */
  IF ~~ THEN GOTO 5
END
